# $Revision: 1.50 $, $Date: 2006/01/20 21:43:05 $

%define		zope_subname	CMFPlone
Summary:	Free and open source Content Management System based on Zope and CMF
Summary(pl):	Darmowy i otwarty system zarzdzania treci oparty na Zope i CMF
Name:		Zope-%{zope_subname}
Version:	2.1.2
Release:	1
License:	Zope Public License (ZPL), GPL
Group:		Networking/Daemons
Source0:	http://puzzle.dl.sourceforge.net/plone/Plone-%{version}.tar.gz
# Source0-md5:	72989893b6cd012a5d26eccc5aa2576b
URL:		http://www.plone.org/
BuildRequires:	python
%pyrequires_eq	python-modules
Requires:	i18ndude
Requires:	python-Imaging
Requires:	Zope-archetypes >= 1.3.7
Requires:	Zope-kupu >= 1.3.3
Requires:	Zope-CMF >= 1:1.5.5
Requires:	Zope >= 2.7.7
Requires:	Zope-BTreeFolder2 >= 1.0.2
Requires:	Zope-CMFQuickInstallerTool >= 1.5.7
Requires:	Zope-ExternalEditor >= 0.9.1
Requires:	Zope-Formulator >= 1.6.2
Requires:	Zope-GroupUserFolder >= 1:3.5
Requires:	Zope-PlacelessTranslationService >= 1.2.1
Requires:	Zope-PloneLanguageTool >= 0.9
Requires(post,postun):	/usr/sbin/installzopeproduct
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	Plone
Obsoletes:	Zope-PortalTransforms
Conflicts:	CMF

%description
Plone is a free, open source Content Management System. The focus of
Plone is to provide value at every level of an organization. It comes
with a workflow engine, pre-configured security and roles, a set of
content types and multi-lingual support. There are many developers,
writers and testers from all over the world, contributing to Plone
everyday. Plone is based on the Content Management Framework.

%description -l pl
Plone jest darmowym systemem zarzdzania informacj z otwartym kodem
rdowym. Gwnym celem Plone jest moliwo dzielenia si informacj
na kadym poziomie dostpu. Jest to "silnik" serwisu umoliwiajcy
prac z wieloma jzykami, z wstpn konfiguracj uwzgldniajc
zabezpieczenia serwisu. Plone dziaa w zestawie z CMF, Zope i
Pythonem.

%prep
%setup -q -n Plone-%{version}
# remove dirs - additional packages!
# ExternalEditor
rm -rf {BTreeFolder2,CMFQuickInstallerTool,Formulator,GroupUserFolder,Archetypes,generator,validation}
rm -rf {PloneLanguageTool,kupu,MimetypesRegistry}
rm -rf {CMFActionIcons,CMFSetup,CMFUid}
rm -rf {CMFCalendar,CMFCore,CMFDefault,CMFTopic,DCWorkflow,PortalTransforms,Epoz}
rm -rf {ExternalEditor,PlacelessTranslationService}
find . -type d -name debian | xargs rm -rf

%build
mkdir docs docs/CMFPlone docs/CMFFormController docs/PloneErrorReporting
mv -f CMFPlone/{CREDITS.txt,HISTORY.txt,INSTALL.txt,README.txt,UPGRADE.txt,LICENSE.txt} docs/CMFPlone
rm -rf CMFPlone/LICENSE.GPL
mv -f CMFFormController/{AUTHORS,ChangeLog,README.txt} docs/CMFFormController
rm -rf CMFPlone/docs
mv -f PloneErrorReporting/{ChangeLog,README.txt} docs/PloneErrorReporting
rm -rf PloneErrorReporting/LICENSE.txt

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -af * $RPM_BUILD_ROOT%{_datadir}/%{name}

%py_comp $RPM_BUILD_ROOT%{_datadir}/%{name}
%py_ocomp $RPM_BUILD_ROOT%{_datadir}/%{name}

rm -rf $RPM_BUILD_ROOT%{_datadir}/%{name}/docs

%clean
rm -rf $RPM_BUILD_ROOT

%post
for p in ATContentTypes ATReferenceBrowserWidget CMFDynamicViewFTI CMFFormController CMFPlone ExtendedPathIndex; do
	/usr/sbin/installzopeproduct %{_datadir}/%{name}/$p
done
for p in PloneErrorReporting PloneTranslations ResourceRegistries SecureMailHost; do
	/usr/sbin/installzopeproduct %{_datadir}/%{name}/$p
done  

if [ -f /var/lock/subsys/zope ]; then
	/etc/rc.d/init.d/zope restart >&2
fi

%postun
if [ "$1" = "0" ]; then
	for p in ATContentTypes ATReferenceBrowserWidget CMFDynamicViewFTI CMFFormController CMFPlone ExtendedPathIndex; do
		/usr/sbin/installzopeproduct -d $p
	done
	for p in PloneErrorReporting PloneTranslations ResourceRegistries SecureMailHost; do
		/usr/sbin/installzopeproduct -d $p
	done
	if [ -f /var/lock/subsys/zope ]; then
		/etc/rc.d/init.d/zope restart >&2
	fi
fi

%files
%defattr(644,root,root,755)
%doc docs/*
%{_datadir}/%{name}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: Zope-CMFPlone.spec,v $
Revision 1.50  2006/01/20 21:43:05  ciesiel
- upgraded to version 2.1.2 (bugfixes release)

Revision 1.49  2005/11/24 05:30:31  ciesiel
- corrected req.
- rel.3

Revision 1.48  2005/10/14 16:43:53  ciesiel
- remove R: epoz
- changed R: archetypes to new version

Revision 1.47  2005/10/14 08:54:29  ciesiel
- upraded to version 2.1.1

Revision 1.46  2005/10/11 11:53:03  ciesiel
- added R: python-Imaging

Revision 1.45  2005/10/08 17:14:17  ciesiel
- fixed some products of Plone

Revision 1.44  2005/10/08 16:12:12  ciesiel
- upgraded to version 2.1

Revision 1.43  2005/06/27 16:07:27  ciesiel
- fixed doubled products (PTS, ExternalEditor)

Revision 1.42  2005/05/01 08:23:38  ciesiel
- moved PTS for separate package (needed by Silva)
- Added new Req. PTS for CMFPlone
- cleanups

Revision 1.41  2005/01/13 06:39:55  ankry
- spaces -> tabs

Revision 1.40  2005/01/12 21:11:05  ciesiel
- added BR: python

Revision 1.39  2005/01/11 23:06:44  ankry
- epoch in R:, C: not necessary, rel. 4

Revision 1.38  2005/01/04 09:26:28  ciesiel
- CMF 1.5.0 is a conflicts with this version Plone; rel. 3

Revision 1.37  2004/12/27 14:19:19  saq
- release 2 for rebuild with python 2.4

Revision 1.36  2004/12/02 14:57:01  ciesiel
- upgrade to version 2.0.5

Revision 1.35  2004/10/29 14:33:30  ciesiel
- rel. 3.1
- preparing Plone for CMF 1.5.0
- build but not working

Revision 1.34  2004/09/24 21:20:02  ciesiel
- obsoletes Zope-PortalTransforms
- rel. 3

Revision 1.33  2004/08/16 19:12:03  ciesiel
- fixed md5
- removed warning

Revision 1.32  2004/08/16 18:48:47  ciesiel
- upgraded to version 2.0.4
- added warning to spec

Revision 1.31  2004/07/28 08:03:20  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.30  2004/05/20 16:06:16  ciesiel
- upgraded to version 2.0.3 (security fixes)

Revision 1.29  2004/05/15 00:21:30  ciesiel
- upgraded to version 2.0.2 (security fix)
- modified and added req.

Revision 1.28  2004/05/12 19:54:18  ciesiel
- added req. i18ndude

Revision 1.27  2004/03/15 10:44:46  ciesiel
- fixed Source0 (old file is bad - truncated)
- modified Req.

Revision 1.26  2004/03/14 13:23:35  ciesiel
- fixed PL Summary

Revision 1.25  2004/03/12 23:28:35  ciesiel
- upgraded to version 2.0 (final)

Revision 1.24  2004/03/05 16:10:12  ciesiel
- inc. rel.

Revision 1.23  2004/03/05 16:09:35  ciesiel
- changed req.

Revision 1.22  2004/03/04 20:40:42  ciesiel
- upgraded to version 2.0-RC6

Revision 1.21  2004/02/28 11:53:26  ciesiel
- changed Req. version

Revision 1.20  2004/01/29 17:27:18  ciesiel
- upgraded to version 2.0RC5 (quick update)

Revision 1.19  2004/01/29 17:05:51  ciesiel
- upgraded to version 2.0RC4

Revision 1.18  2004/01/08 12:25:07  ciesiel
- upgraded to 2.0RC3 version

Revision 1.17  2003/12/03 19:37:50  ciesiel
- upgraded to ver. 2.0RC2

Revision 1.16  2003/12/03 16:42:45  ciesiel
- removed old *.pyo
- cleanning

Revision 1.15  2003/11/25 20:44:37  ciesiel
- added warning

Revision 1.14  2003/11/25 08:45:23  ciesiel
- changed req.

Revision 1.13  2003/11/24 21:17:36  ciesiel
- upgraded to 2.0RC1

Revision 1.12  2003/11/24 18:20:29  ciesiel
- removed req. Zope included this req.

Revision 1.11  2003/11/24 18:17:22  ciesiel
- added req.

Revision 1.10  2003/11/19 13:15:28  jajcus
- release "fixed" (numbers after "beta3" are to be incremented)
- %{name}-migration patch added to fix migration from older Plone versions

Revision 1.9  2003/11/16 13:16:35  ciesiel
- added conflicts

Revision 1.8  2003/11/16 10:46:35  jajcus
Requires(post,postun)

Revision 1.7  2003/11/16 10:25:16  jajcus
- zope_subname changed to CMFPlone
- Obsoletes: s/CMF/Plone/
- product installation using installzopeproduct
- %files simplified

Revision 1.6  2003/11/15 22:38:53  ciesiel
- fixed buildroot
- added obsoletes

Revision 1.5  2003/11/15 15:23:54  ciesiel
- changed req.

Revision 1.4  2003/11/15 15:11:32  ciesiel
- Cleaning

Revision 1.3  2003/11/15 14:50:55  ciesiel
- adapted to new name

Revision 1.2  2003/11/15 14:17:40  ciesiel
- renamed spec

Revision 1.12  2003/10/29 21:21:57  ciesiel
- upgraded to 2.0 beta3

Revision 1.11  2003/10/12 20:55:19  ciesiel
- upgraded to version 2.0beta2

Revision 1.10  2003/09/27 18:01:40  ciesiel
- typo

Revision 1.9  2003/09/27 17:57:34  ciesiel
- upgraded to 2.0 beta1

Revision 1.8  2003/09/26 19:39:18  ciesiel
- .py needed by package - thanks matkor :)

Revision 1.7  2003/09/16 17:15:07  ciesiel
- added requires (see bellow :)
- removed unnecessary directory Formulator (additonal rpm)

Revision 1.6  2003/08/22 11:09:07  qboosh
- cleanups

Revision 1.5  2003/08/15 20:46:25  ciesiel
- upgraded to 1.1alpha2 version

Revision 1.4  2003/08/08 10:43:08  ciesiel
- upgraded to 1.1 version

Revision 1.3  2003/07/30 12:12:02  ciesiel
- compiled .py and cleanup

Revision 1.2  2003/07/26 23:50:33  ciesiel
- moved left docs to documentation directory

Revision 1.1  2003/07/21 17:45:13  ciesiel
- changed name
- moved ln to %install section

Revision 1.4  2003/07/19 21:13:07  ciesiel
- and yet another directory destination :-)

Revision 1.3  2003/07/19 08:51:11  ciesiel
- yet another destination directory

Revision 1.2  2003/07/18 08:37:39  ciesiel
- changed destination directory

Revision 1.1  2003/07/17 22:12:38  ciesiel
- initial release
